package com.zswl.cloud.springBtach.server.core.controller;

import com.xiaoju.open.oil.core.executor.ResponseDTO;
import com.xiaoju.open.oil.interfaces.request.NotificationPushStoreInfoRequest;
import com.zswl.cloud.springBtach.server.core.service.XiaoJuService;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@Log4j2
@RestController
@RequestMapping("xiaoju")
public class XiaoJuController {

    @Autowired
    XiaoJuService xiaoJuService;

    @ApiOperation("同步加油站信息")
    @RequestMapping(value = "receivingGasStation", method = RequestMethod.POST)
    public ResponseDTO receivingGasStation(@RequestBody NotificationPushStoreInfoRequest notificationPushStoreInfoRequest) {

        return xiaoJuService.notificationPushStoreInfoRequest(notificationPushStoreInfoRequest);
    }


}
